function [ y,std ] = GPUCB_stoch( model,  point, names, weight, stat, options )
%GPUCB_stoch Computes a statistics of a stochasrtic model at a given point
% (including time as the last coordinate).

T = point(end);
P = point(1:(end-1));
[ y,std ] = GPUCB_stochT( model, T, P, names, weight, stat, options );

end

