function [b,pred_b] = GPUCB_stochreach_T(model, time, names, range, weight, stat, kernel, options, upper,  GPUCBoptions)
%GPUCB_diff_T 

     domain = GPUCB_getDomain(ones(length(names),1),names);
     domain.standardise=0;
     domain.trueRange = range;
     
    if  upper
        [~,pred_b,~,b] = GPUCB_Optimise(@funcUB,domain,kernel,GPUCBoptions);
    else
        [~,pred_b,~,b] = GPUCB_Optimise(@funcLB,domain,kernel,GPUCBoptions);
        b = -b;
        pred_b = -pred_b;
    end


    function [y,noise] = funcUB(point)
        [y,noise] = GPUCB_stochT( model, time, point, names, weight, stat, options );
    end


    function [y,noise] = funcLB(point)
        [y,noise] = GPUCB_stochT( model, time, point, names, weight, stat, options );
        y = -y;
    end

end
